package io.renren.modules.admin.attenders.controller;

import java.util.Arrays;
import java.util.Map;
import java.util.Date;

import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import io.renren.modules.admin.attenders.entity.AttendersEntity;
import io.renren.modules.admin.attenders.service.AttendersService;
import io.renren.common.utils.PageUtils;
import io.renren.common.utils.R;
import io.renren.modules.sys.controller.AbstractController;


/**
 * 
 *
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2020-02-14 14:51:30
 */
@RestController
@RequestMapping("admin/attenders")
public class AttendersController  extends AbstractController {
    @Autowired
    private AttendersService attendersService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    @RequiresPermissions("admin:attenders:list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = attendersService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    @RequiresPermissions("admin:attenders:info")
    public R info(@PathVariable("id") Long id){
		AttendersEntity attenders = attendersService.getById(id);

        return R.ok().put("attenders", attenders);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    @RequiresPermissions("admin:attenders:save")
    public R save(@RequestBody AttendersEntity attenders){
        attenders.setCreateTime(new Date());
        attenders.setCreater(getUserId());
		attendersService.save(attenders);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    @RequiresPermissions("admin:attenders:update")
    public R update(@RequestBody AttendersEntity attenders){
		attenders.setModifyTime(new Date());
        attenders.setModifier(getUserId());
        attendersService.updateById(attenders);

        return R.ok();
    }

    /**
     * 删除
     */
    // @RequestMapping("/delete")
    // @RequiresPermissions("admin:attenders:delete")
    // public R delete(@RequestBody Long[] ids){
	// 	attendersService.removeByIds(Arrays.asList(ids));

    //     return R.ok();
    // }

    @PostMapping("/delete")
    @RequiresPermissions("admin:member:delete")
    public R delete(@RequestBody Long[] ids){
        attendersService.delete(ids);
        return R.ok();
    }
}
