package io.renren.modules.admin.typesofattenders.controller;

import java.util.Arrays;
import java.util.Map;
import java.util.Date;

import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import io.renren.modules.admin.typesofattenders.entity.TypesOfAttendersEntity;
import io.renren.modules.admin.typesofattenders.service.TypesOfAttendersService;
import io.renren.common.utils.PageUtils;
import io.renren.common.utils.R;



/**
 * 参会人员类型表
 *
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2020-02-24 10:37:48
 */
@RestController
@RequestMapping("admin/typesofattenders")
public class TypesOfAttendersController {
    @Autowired
    private TypesOfAttendersService typesOfAttendersService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    @RequiresPermissions("admin:typesofattenders:list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = typesOfAttendersService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    @RequiresPermissions("admin:typesofattenders:info")
    public R info(@PathVariable("id") Long id){
		TypesOfAttendersEntity typesOfAttenders = typesOfAttendersService.getById(id);

        return R.ok().put("typesOfAttenders", typesOfAttenders);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    @RequiresPermissions("admin:typesofattenders:save")
    public R save(@RequestBody TypesOfAttendersEntity typesOfAttenders){
		typesOfAttendersService.save(typesOfAttenders);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    @RequiresPermissions("admin:typesofattenders:update")
    public R update(@RequestBody TypesOfAttendersEntity typesOfAttenders){
		typesOfAttendersService.updateById(typesOfAttenders);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    @RequiresPermissions("admin:typesofattenders:delete")
    public R delete(@RequestBody Long[] ids){
		typesOfAttendersService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }

}
